Bug 200805 - Hebrew and arabic characters are displayed as blocks
Hebrew and arabic characters are displayed as blocks
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Reopened
: 190300 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-31 14:50 EDT by Pavel Rosenboim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-09 06:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
file with some hebrew and arabic text which exhibits the problem (6.99 KB, application/vnd.oasis.opendocument.text)
2006-07-31 14:50 EDT, Pavel Rosenboim
no flags Details
screenshot (14.16 KB, image/png)
2006-08-01 03:36 EDT, Caolan McNamara
no flags Details
My view (41.98 KB, image/png)
2006-08-01 11:45 EDT, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2006-07-31 14:50:02 EDT
Description of problem:
Hebrew and arabic characters in OOo are displayed as blocks and, probably, left
to right.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open new document
2. Type some hebrew or arabic characters
Comment 1 Pavel Rosenboim 2006-07-31 14:50:02 EDT
Created attachment 133342 [details]
file with some hebrew and arabic text which exhibits the problem
Comment 2 Caolan McNamara 2006-08-01 03:36:52 EDT
Created attachment 133376 [details]

yum install fonts-arabic fonts-hebrew
Comment 3 Pavel Rosenboim 2006-08-01 11:45:59 EDT
Created attachment 133408 [details]
My view
Comment 4 Pavel Rosenboim 2006-08-01 11:49:04 EDT
[pavel@pashar ~]$ rpm -q fonts-arabic fonts-hebrew

No fonts other then installed by FC6 test1 installer were added/removed. Hebrew
and arabic support were selected during installation.
Comment 5 Caolan McNamara 2006-08-01 12:45:11 EDT
very strange, though I am looking at todays rawhide rather than test1, btw, if
you cut and paste the boxes into gedit does it display correctly in gedit then ?
Comment 6 Pavel Rosenboim 2006-08-01 14:46:54 EDT
I'm looking with todays rawhide, too. 
Paste to gedit looks correctly, as well as other applications.
Comment 7 Caolan McNamara 2006-08-01 15:20:23 EDT
hmm, how about the output of 

> locale 

from gnome-terminal
Comment 8 Caolan McNamara 2006-08-02 06:43:45 EDT
*Now*, I see it, but not before. I was working on some font stuff, quite likely
I tested with my working version, and not the default one by accident. On the
bright side, surely one of the patches I was working on addresses this problem
then :-)
Comment 9 Caolan McNamara 2006-08-03 04:34:12 EDT
This is related to bug 174147 glyph fallback and the order of the substituted
sequence, I think the newly checked in work will keep both the CTL r2l fallback
working as well as the CJK l2r fallback.
Comment 10 Caolan McNamara 2006-08-03 04:36:01 EDT
*** Bug 190300 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.